#1
  1. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Sep 2006
    Posts
    660
    Rep Power
    32

    JQuery - are these the same but different version?


    I have so many jquery plugins for a page that I'm thinking maybe some of them are the same?

    Do any of these cover one over the other, therefore I do not need to include them:

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.js"></script>
    <link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/themes/base/jquery-ui.css"/>
    <script src="http://code.jquery.com/jquery-latest.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.0/jquery.min.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.9/jquery-ui.min.js"></script>

    Is it better to link the jqueries or should I try any download them and place them in the server?

    I have been testing so many jquery plugins that I can't remember what needs what. Is there any way of knowing whats needed in a page?

    Is it bad and could cause issues if you have the same jquery plugin called several times on a page?
  2. #2
  3. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jul 2012
    Posts
    2
    Rep Power
    0
    You use both jqueryui/1.7.2 and jqueryui/1.8.9, I think you shouldn't mix them firstly. Secondly, I think that google access for including are not bad if your site is public because a lot of have it inside their cache.
  4. #3
  5. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Location
    US
    Posts
    5
    Rep Power
    0
    use any higher version of jquery and ignore all other lower even if mentioned by addon you are using.

    Ex. if you already used
    Code:
    <script type="text/javascript" src="(URL address blocked: See forum rules)"></script>
    then you need not to include

    Code:
    <script type="text/javascript" src="(URL address blocked: See forum rules)"></script>
    this will work

IMN logo majestic logo threadwatch logo seochat tools logo